Bug 105639 - svg export produces questionable id values
Summary: svg export produces questionable id values
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-31 13:24 UTC by Regina Henschel
Modified: 2017-04-13 12:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-01-31 13:24:32 UTC
Take a presentation an export it to SVG. The export result will have an element <defs class="EmbeddedBulletChars"> and therein an element similar to
<g id="bullet-char-template(57356)" transform="scale(0.00048828125,-0.00048828125)">
   <path d="M 580,1141 L 1163,571 580,0 -4,571 580,1141 Z"/>
  </g>

In the part id="bullet-char-template(57356)" the brackets are questionable, at least https://validator.w3.org reports an error for them.
Comment 1 Christina Rossmanith 2017-02-08 19:38:25 UTC
Regina,

I've screened valid characters for id names and as far as I could see brackets don't belong to this set. I'd suggest to replace id="bullet-char-template(57356)" with id="bullet-char-template-57356" or do you see any problems with this fix?
Comment 2 Regina Henschel 2017-02-08 20:09:26 UTC
I think, that such kind of ID would be valid.  https://validator.w3.org allows it.

Remember, that you have to change 'visibility' manually, if testing re-import; bug 105588 is not yet fixed.
Comment 3 Regina Henschel 2017-02-08 20:11:21 UTC
And you need to test the file in browser, so see whether the JavaScript part still works.
Comment 4 Commit Notification 2017-02-17 10:40:20 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ce132b5b41e218520cc51506665ee0bc625b24b

tdf#105639: create valid id values in svg export

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-04-13 09:06:04 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 6 Regina Henschel 2017-04-13 12:15:43 UTC
Yes it is fixed in Version: 5.4.0.0.alpha0+
Build ID: 0ba23e36bb81b65360f3279f5af14a63916189f6
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-03-31_00:23:32
Locale: de-DE (de_DE); Calc: group